Passa al contenuto principale

TaskResponse

Successful response with one Task

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

Resource returned by the operation

task_idintegerrequired
purchase_idintegerrequired

Id of the purchase the task works on (GET /api/v3/purchases/{purchase_id})

task_status objectrequired
status_codestringrequired

Status code: TO_EXECUTE (queued), MACHINE (running), WAIT (paused), HUMAN_INTERVENTION (checked by an operator), ASK_USER (waiting for data, POST /api/v3/tasks/{task_id}/data), DONE (completed) or FAIL (failed)

status_namestringrequired

Name of the status for the customers, in Italian, as in the control panel (for example In verifica for HUMAN_INTERVENTION)

executed_instructionsinteger | nullnullablerequired

Number of the step reached by the task, out of total_instructions: equal to it when the task is done or failed

total_instructionsinteger | nullnullablerequired

Total number of steps of the task

is_startedbooleanrequired

Whether the execution of the task has started

ask_user_errorstring | nullnullablerequired

Error found in the data provided for the task, null when there is none: the corrected data are sent with POST /api/v3/tasks/{task_id}/data

date_starteddate-timerequired

Date and time the task was created

metarequired

Always null: only the paginated lists have a meta

Constant value: null
TaskResponse
{
"error": 0,
"message": "string",
"data": {
"task_id": 0,
"purchase_id": 0,
"task_status": {
"status_code": "string",
"status_name": "string"
},
"executed_instructions": 0,
"total_instructions": 0,
"is_started": true,
"ask_user_error": "string",
"date_started": "2024-07-29T15:51:28.071Z"
}
}